# icons
ICONS_EMOT = \
$(srcdir)/emoticons.xml \
$(srcdir)/emoticons.xpm

ICONS_EMOT_SIMPLE_TANGO = \
$(srcdir)/simple-tango.xml \
$(srcdir)/simple-tango.xpm

ICONS_FLAG = \
$(srcdir)/flag_brazilian.xpm \
$(srcdir)/flag_bosnian.xpm \
$(srcdir)/flag_czech.xpm \
$(srcdir)/flag_denmark.xpm \
$(srcdir)/flag_english.xpm \
$(srcdir)/flag_finland.xpm \
$(srcdir)/flag_france.xpm \
$(srcdir)/flag_germany.xpm \
$(srcdir)/flag_greek.xpm \
$(srcdir)/flag_hungary.xpm \
$(srcdir)/flag_iceland.xpm \
$(srcdir)/flag_italy.xpm \
$(srcdir)/flag_latvian.xpm \
$(srcdir)/flag_netherland.xpm \
$(srcdir)/flag_norway.xpm \
$(srcdir)/flag_poland.xpm \
$(srcdir)/flag_romania.xpm \
$(srcdir)/flag_russia.xpm \
$(srcdir)/flag_serbia.xpm \
$(srcdir)/flag_slovak.xpm \
$(srcdir)/flag_spain.xpm \
$(srcdir)/flag_sweden.xpm

ICONS_USER = \
$(srcdir)/usericons.xml \
$(srcdir)/usericons.xpm

ICONS_APPL = \
$(srcdir)/back.xpm \
$(srcdir)/ball_green.xpm \
$(srcdir)/ball_red.xpm \
$(srcdir)/ball_yellow.xpm \
$(srcdir)/bookmark_add.xpm \
$(srcdir)/bookmark_folder.xpm \
$(srcdir)/configure_32x32.xpm \
$(srcdir)/configure.xpm \
$(srcdir)/connect.xpm \
$(srcdir)/connect_creating.xpm \
$(srcdir)/connected.xpm \
$(srcdir)/connect_no.xpm \
$(srcdir)/download.xpm \
$(srcdir)/down.xpm \
$(srcdir)/editadd.xpm \
$(srcdir)/editcopy.xpm \
$(srcdir)/editdelete.xpm \
$(srcdir)/edit.xpm \
$(srcdir)/exit.xpm \
$(srcdir)/fileclose.xpm \
$(srcdir)/filefind.xpm \
$(srcdir)/filetype-application.xpm \
$(srcdir)/filetype-archive.xpm \
$(srcdir)/filetype-audio.xpm \
$(srcdir)/filetype-document.xpm \
$(srcdir)/filetype-picture.xpm \
$(srcdir)/filetype-unknown.xpm \
$(srcdir)/filetype-video.xpm \
$(srcdir)/find_32x32.xpm \
$(srcdir)/find.xpm \
$(srcdir)/fish.xpm \
$(srcdir)/folder_blue_open.xpm \
$(srcdir)/folder_blue.xpm \
$(srcdir)/folder_red.xpm \
$(srcdir)/globe.xpm \
$(srcdir)/gv.xpm \
$(srcdir)/help.xpm \
$(srcdir)/icon_22x22.xpm \
$(srcdir)/info.xpm \
$(srcdir)/message.xpm \
$(srcdir)/notconnected.xpm \
$(srcdir)/open.xpm \
$(srcdir)/player_pause.xpm \
$(srcdir)/player_play.xpm \
$(srcdir)/reload_32x32.xpm \
$(srcdir)/reload.xpm \
$(srcdir)/save.xpm \
$(srcdir)/server.xpm \
$(srcdir)/splash.xpm \
$(srcdir)/spy.xpm \
$(srcdir)/ssl_no.xpm \
$(srcdir)/ssl_yes.xpm \
$(srcdir)/transfer.xpm \
$(srcdir)/translate.xpm \
$(srcdir)/up.xpm \
$(srcdir)/update.xpm \
$(srcdir)/users_32x32.xpm \
$(srcdir)/users.xpm \
$(srcdir)/view_sidetree.xpm

ICONS_DESK = \
$(srcdir)/icon_16x16.png \
$(srcdir)/icon_22x22.png \
$(srcdir)/icon_24x24.png \
$(srcdir)/icon_32x32.png \
$(srcdir)/icon_48x48.png \
$(srcdir)/icon_64x64.png \
$(srcdir)/icon_128x128.png \
$(srcdir)/icon_128x128.icns

install-data-local: $(ICONS_FLAG) $(ICONS_APPL) $(ICONS_DESK) $(ICONS_EMOT) $(ICONS_EMOT_SIMPLE_TANGO) $(ICONS_USER)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons/appl
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons/appl/default
	$(INSTALL_DATA) $(ICONS_FLAG) $(DESTDIR)$(pkgdatadir)/icons/appl/default
	$(INSTALL_DATA) $(ICONS_APPL) $(DESTDIR)$(pkgdatadir)/icons/appl/default
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons/emot
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons/emot/default
	$(INSTALL_DATA) $(ICONS_EMOT) $(DESTDIR)$(pkgdatadir)/icons/emot/default
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons/emot/simple
	$(INSTALL_DATA) $(srcdir)/simple-tango.xml $(DESTDIR)$(pkgdatadir)/icons/emot/simple/emoticons.xml
	$(INSTALL_DATA) $(srcdir)/simple-tango.xpm $(DESTDIR)$(pkgdatadir)/icons/emot/simple/simple-tango.xpm
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons/user
	$(mkinstalldirs) $(DESTDIR)$(pkgdatadir)/icons/user/default
	$(INSTALL_DATA) $(ICONS_USER) $(DESTDIR)$(pkgdatadir)/icons/user/default
	$(mkinstalldirs) $(DESTDIR)$(datadir)/icons/hicolor/16x16/apps
	$(mkinstalldirs) $(DESTDIR)$(datadir)/icons/hicolor/22x22/apps
	$(mkinstalldirs) $(DESTDIR)$(datadir)/icons/hicolor/24x24/apps
	$(mkinstalldirs) $(DESTDIR)$(datadir)/icons/hicolor/32x32/apps
	$(mkinstalldirs) $(DESTDIR)$(datadir)/icons/hicolor/48x48/apps
	$(mkinstalldirs) $(DESTDIR)$(datadir)/icons/hicolor/64x64/apps
	$(mkinstalldirs) $(DESTDIR)$(datadir)/icons/hicolor/128x128/apps
	$(INSTALL_DATA) $(srcdir)/icon_16x16.png $(DESTDIR)$(datadir)/icons/hicolor/16x16/apps
	$(INSTALL_DATA) $(srcdir)/icon_22x22.png $(DESTDIR)$(datadir)/icons/hicolor/22x22/apps
	$(INSTALL_DATA) $(srcdir)/icon_24x24.png $(DESTDIR)$(datadir)/icons/hicolor/24x24/apps
	$(INSTALL_DATA) $(srcdir)/icon_32x32.png $(DESTDIR)$(datadir)/icons/hicolor/32x32/apps
	$(INSTALL_DATA) $(srcdir)/icon_48x48.png $(DESTDIR)$(datadir)/icons/hicolor/48x48/apps
	$(INSTALL_DATA) $(srcdir)/icon_64x64.png $(DESTDIR)$(datadir)/icons/hicolor/64x64/apps
	$(INSTALL_DATA) $(srcdir)/icon_128x128.png $(DESTDIR)$(datadir)/icons/hicolor/128x128/apps
	
